Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.servlet
Class XDBPrincipal

`java.lang.Object
oracle.xdb.servlet.XDBPrincipal`

All Implemented Interfaces:
  java.security.Principal

public class XDBPrincipal
extends java.lang.Object
implements java.security.Principal

Implementation of java.security.principal for database user.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the given object with this object.
`java.lang.String` | `getName()` Return the user name.
`int` | `hashCode()` Return the hash value of the user name.
`java.lang.String` | `toString()` Return the string representation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### equals

    public final boolean equals(java.lang.Object o)

  Compares the given object with this object.
  Specified by:
    `equals` in interface `java.security.Principal`
  Parameters:
    `o` - the given object
  Returns:
    true if the given object is an instance of XDBPrincipal and has the same user id as this object.

### getName

    public final java.lang.String getName()

  Return the user name.
  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    the user name.

### toString

    public final java.lang.String toString()

  Return the string representation.
  Specified by:
    `toString` in interface `java.security.Principal`
  Returns:
    the user name.

### hashCode

    public final int hashCode()

  Return the hash value of the user name.
  Specified by:
    `hashCode` in interface `java.security.Principal`
  Returns:
    the hash value of the user name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.